Installation

Requirements

  • Python 2.7 or Python 3.4+
  • sparseg­rad
  • Python sci­en­tif­ic stack

Installation from PyPI

This is the pre­ferred way of in­stalling oedes. It au­to­mat­i­cal­ly takes care of all de­pen­den­cies.

Two vari­ants of the in­stal­la­tion are pos­si­ble:

  • sys­tem wide in­stal­la­tion:
$ pip install oedes
  • lo­cal in­stal­la­tion not re­quir­ing ad­min­is­tra­tor’s rights:
$ pip install oedes --user

In the case of lo­cal in­stal­la­tion, oedes is in­stalled in­side us­er’s home di­rec­to­ry. In Lin­ux, this de­faults to $HOME/.local.

Development installation (advanced)

Cur­rent de­vel­op­ment ver­sion of sparseg­rad can be in­stalled from the de­vel­op­ment repos­i­to­ry by run­ning

$ git clone https://github.com/mzszym/oedes.git
$ cd oedes
$ pip install -e .

The op­tion -e tells that oedes code should be load­ed from git con­trolled di­rec­to­ry, in­stead of be­ing copied to the Python li­braries di­rec­to­ry. As with the reg­u­lar in­stal­la­tion, --user op­tion should be ap­pend­ed for lo­cal in­stal­la­tion.